Package org.apache.commons.io

# Class FileSystemUtils

java.lang.Object
org.apache.commons.io.FileSystemUtils

@Deprecated public class FileSystemUtils extends Object
Deprecated.
As of 2.6 deprecated without replacement. Use equivalent methods in `FileStore` instead, `Files.getFileStore(Paths.get("/home")).getUsableSpace()` or iterate over `FileSystems.getDefault().getFileStores()`
General File System utilities.

This class provides static utility methods for general file system functions not provided before Java 6's `File` class.

The current functions provided are:

- Get the free space on a drive

Since:
  1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSystemUtils()`
  Deprecated.
  TODO Make private in 3.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `freeSpace(String path)`
  Deprecated.
  Use freeSpaceKb(String) Deprecated from 1.3, may be removed in 2.0
  `static long`
  `freeSpaceKb()`
  Deprecated.
  As of 2.6 deprecated without replacement.
  `static long`
  `freeSpaceKb(long timeout)`
  Deprecated.
  As of 2.6 deprecated without replacement.
  `static long`
  `freeSpaceKb(String path)`
  Deprecated.
  As of 2.6 deprecated without replacement.
  `static long`
  `freeSpaceKb(String path, long timeout)`
  Deprecated.
  As of 2.6 deprecated without replacement.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileSystemUtils

    @Deprecated public FileSystemUtils()
    Deprecated.
    TODO Make private in 3.0.
    Instances should NOT be constructed in standard programming.

- ## Method Details

  - ### freeSpace

    @Deprecated public static long freeSpace(String path) throws IOException
    Deprecated.
    Use freeSpaceKb(String) Deprecated from 1.3, may be removed in 2.0
    Gets the number of kibibytes (1024 bytes) available to this Java virtual machine on the given file store.

    Note that some OS's are NOT currently supported, including OS/390, OpenVMS.

         FileSystemUtils.freeSpace("C:"); // Windows
         FileSystemUtils.freeSpace("/volume"); // *nix

    Parameters:
      `path` - the path to get free space for, not null, not empty on Unix
    Returns:
      the amount of free drive space on the drive or volume
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the path is invalid.
    Since:
      1.1, enhanced OS support in 1.2 and 1.3

  - ### freeSpaceKb

    @Deprecated public static long freeSpaceKb() throws IOException
    Deprecated.
    As of 2.6 deprecated without replacement. Please use `FileStore.getUsableSpace()`.
    Gets the number of kibibytes (1024 bytes) available to this Java virtual machine on the current file store.

    Identical to:

         freeSpaceKb(FileUtils.current().getAbsolutePath())

    Returns:
      the amount of free drive space on the drive or volume in kilobytes
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the path is invalid.
    Since:
      2.0

  - ### freeSpaceKb

    @Deprecated public static long freeSpaceKb(long timeout) throws IOException
    Deprecated.
    As of 2.6 deprecated without replacement. Please use `FileStore.getUsableSpace()`.
    Gets the number of kibibytes (1024 bytes) available to this Java virtual machine on the current file store.

    Identical to:

         freeSpaceKb(FileUtils.current().getAbsolutePath())

    Parameters:
      `timeout` - ignored.
    Returns:
      the amount of free drive space on the drive or volume in kilobytes
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the path is invalid.
    Since:
      2.0

  - ### freeSpaceKb

    @Deprecated public static long freeSpaceKb(String path) throws IOException
    Deprecated.
    As of 2.6 deprecated without replacement. Please use `FileStore.getUsableSpace()`.
    Gets the number of kibibytes (1024 bytes) available to this Java virtual machine on the given file store.

         FileSystemUtils.freeSpaceKb("C:"); // Windows
         FileSystemUtils.freeSpaceKb("/volume"); // *nix

    Parameters:
      `path` - the path to get free space for, not null, not empty on Unix
    Returns:
      the amount of free drive space on the drive or volume in kilobytes
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the path is invalid.
    Since:
      1.2, enhanced OS support in 1.3

  - ### freeSpaceKb

    @Deprecated public static long freeSpaceKb(String path, long timeout) throws IOException
    Deprecated.
    As of 2.6 deprecated without replacement. Please use `FileStore.getUsableSpace()`.
    Gets the number of kibibytes (1024 bytes) available to this Java virtual machine on the given file store.

         FileSystemUtils.freeSpaceKb("C:"); // Windows
         FileSystemUtils.freeSpaceKb("/volume"); // *nix

    Parameters:
      `path` - the path to get free space for, not null, not empty on Unix
      `timeout` - ignored.
    Returns:
      the amount of free drive space on the drive or volume in kilobytes
    Throws:
      `IOException` - if an I/O error occurs.
      `IllegalArgumentException` - if the path is invalid.
    Since:
      2.0